/* This is my external styling for p */
#external_styling{
	color:yellow;
}

/* This is my universal selector */
*{
	font-family: "Verdana", sans-serif;
	font-size: 20px;
}

/* This is my tag selector */
h1{
	color: black;
	font-size: 2rem;
}

/* This is id selector */
#id_selector{
	text-transform: uppercase;
}

/* This is my class selector */
.class_selector{
	background-color: palegreen;
	width: 100%;
}

/* This is my attribute selector */
li[attribute_selector]{
	border-width: 2px;
	border-style: solid;
	border-color: deepskyblue;
	width: 100%;
}

/* This is my adjacent selector */
img + ul{
	list-style-type: none;
}

/* This is my descendant selector */
section img{
	height: 150px;
	border-width: 150px;
	border-radius: 100px;
}

/* This is general sibling selector for the last paragraph.
	This also includes the spacing for bottom page */
h4 ~ p{
	text-align: center;
	color: black;
}

/* This is my child selector */
body > section > ul > li{
	letter-spacing: 10px;
}


html{
	scroll-behavior: smooth;
}